#if !defined(AFX_MAPDLG_H__CC550E2C_6193_11D4_A33C_0040055797F1__INCLUDED_)
#define AFX_MAPDLG_H__CC550E2C_6193_11D4_A33C_0040055797F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MapDlg.h : header file
//

#define CDXINCLUDEALL
#include "cdx.h"

/////////////////////////////////////////////////////////////////////////////
// CMapDlg dialog

class CMapDlg : public CDialog
{
// Construction
public:
	CMapDlg(CWnd* pParent = NULL);   // standard constructor
	~CMapDlg();

	void ChangeBit( int bit );
	void DrawBrush();
	void DrawScreen( void );
	BOOL InitCDX();
	void ReCalcScreen();
	void LButtonDown(UINT nFlags, CPoint point) {OnLButtonDown(nFlags, point);}

	CDXScreen	*m_Screen;
	POINT		m_MouseTile;
	CPoint		m_MousePos;
	BOOL		m_BKeyDown;
	BOOL		m_MouseDown, m_InWindow;
	int			m_BlockX1, m_BlockY1, m_BlockX2, m_BlockY2;
	int			m_xTiles, m_yTiles;
	int			*m_WalkBits;

// Dialog Data
	//{{AFX_DATA(CMapDlg)
	enum { IDD = IDD_MAPDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMapDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAPDLG_H__CC550E2C_6193_11D4_A33C_0040055797F1__INCLUDED_)
